## org.hibernate.engine.jdbc.internal
Class JdbcServicesInitiator

    java.lang.Object
      org.hibernate.engine.jdbc.internal.JdbcServicesInitiator

All Implemented Interfaces:
  BasicServiceInitiator<JdbcServices>, ServiceInitiator<JdbcServices>

    public class JdbcServicesInitiator

extends Object
implements BasicServiceInitiator<JdbcServices>

Standard initiator for the standard `JdbcServices` service

Field Summary
`static JdbcServicesInitiator` `INSTANCE`

Constructor Summary
`JdbcServicesInitiator()`

Method Summary
`Class<JdbcServices>` `getServiceInitiated()` Obtains the service role initiated by this initiator.
`JdbcServices` `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final JdbcServicesInitiator INSTANCE

Constructor Detail

### JdbcServicesInitiator

    public JdbcServicesInitiator()

Method Detail

### getServiceInitiated

    public Class<JdbcServices> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<JdbcServices>`
  Returns:
    The service role.

### initiateService

    public JdbcServices initiateService(Map configurationValues,
                                        ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<JdbcServices>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.